Package org.eclipse.microprofile.fault.tolerance.tck.metrics.common

# Class CircuitBreakerMetricBean

java.lang.Object
org.eclipse.microprofile.fault.tolerance.tck.metrics.common.CircuitBreakerMetricBean

@RequestScoped public class CircuitBreakerMetricBean extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`CircuitBreakerMetricBean.Result`
`static class`
`CircuitBreakerMetricBean.SkippedException`

## Constructor Summary

Constructors
Constructor
Description
`CircuitBreakerMetricBean()`

## Method Summary

Modifier and Type
Method
Description
`void`
`doWork(CircuitBreakerMetricBean.Result result)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CircuitBreakerMetricBean

public CircuitBreakerMetricBean()

## Method Details

### doWork

@CircuitBreaker(requestVolumeThreshold=2, failureRatio=1.0, delay=1000L, successThreshold=2, failOn=TestException.class, skipOn=SkippedException.class) public void doWork(CircuitBreakerMetricBean.Result result)